Description

The " intersection " module of processing plugin doesn't work properly .

In attached example intersecting the layer "B" with the layer "A" doesn't return any feature while intersecting the layer "A" with the layer "B"

is properly returned a feature .

The cause of this bug is the " break " statement at line 106 of the "processing\\algs\\qgis\\Intersection.py" file that prevents the

evaluation of the successive intersections . Removing that line the algorithm works correctly.

The implemented algorithm in ftool plugin has a different structure and functioning properly (see lines 961 to 988 in

fTools\\tools\\doGeoprocessing.py ).

Associated revisions

Revision f4ca8476 - 2016-05-27 11:27 AM - Victor Olaya

[processing] do not exit loop in intersect if there are errors

fixes #14908

History

#1 - 2016-05-27 01:15 AM - Alexander Bruy

- Tag deleted (processing, intersection)

- Status changed from Open to Feedback

It is not a bug, if intersection result has invalid geometry it skipped.

#2 - 2016-05-27 02:16 AM - AZeta Gis

Invalid geometry is skipped but the break line interrupts entire cicle and other geometries that overlap first geometry and produce valid intersections don't

be evaluated.

In the attached example intersection result changes if input layers are inverted.

#3 - 2016-05-27 02:28 AM - Victor Olaya

- Status changed from Feedback to Closed

Fixed in changeset commit:"f4ca847660aa066f47af518bcbce00bd52788c9c".
IntersectionTest.zip 9.59 KB 2016-05-26 AZeta Gis
